#!/usr/bin/env python3

import smbus
import time

# Bus number and i2c address:
BUS = 1
ADDRESS = 0x60

# Register addresses:
ALS_CONF = 0x00
ALS_Data = 0x09
White_Data = 0x0a

# Masks and values:
ALS_SD = 1

# Create an object to represent the appropriate bus.
bus = smbus.SMBus(BUS)

# Power up the ambient light sensor if not already powered.
state = bus.read_word_data(ADDRESS, ALS_CONF)
if state & ALS_SD == ALS_SD:
    bus.write_word_data(ADDRESS, ALS_CONF, state ^ ALS_SD)

try:
    while True:
        print('Ambient:', bus.read_word_data(ADDRESS, ALS_Data))
        print('White:  ', bus.read_word_data(ADDRESS, White_Data))
        time.sleep(1)
finally:
    # Restore the initial state.
    bus.write_word_data(ADDRESS, ALS_CONF, state)
